Create Account
Welcome, Guest
Username: Password: Remember me

TOPIC: Open Graph support

Open Graph support 8 years 10 months ago #4806

  • rbowden
  • rbowden's Avatar
  • OFFLINE
  • Fresh Boarder
  • Posts: 18
  • Karma: 0
Hello,

I noticed a "Warning: is unreachable" box right under the comments box (www.inlibrislibertas.com/index.php?optio...cord-sample&Itemid=8). After using Facebook debug, it turns out certain open graph flags need to be set (type, url, etc.)

Do you have a fix for this?

Regards,

Robert Bowden
The topic has been locked.

Re: Open Graph support 8 years 10 months ago #4838

  • zaheerkaka
  • zaheerkaka's Avatar
Hi,

Please post your Joomla version and plugin version.

Regards
The topic has been locked.

Re: Open Graph support 8 years 10 months ago #4845

  • rbowden
  • rbowden's Avatar
  • OFFLINE
  • Fresh Boarder
  • Posts: 18
  • Karma: 0
Hello Zaheerkaka,

I'm so sorry I left that information out. I'm using Joomla 1.5.23, but I must confess that I can't seem to find a version number on the KA FSC - perhaps I am overlooking it? I can say that I only purchased the plugin a couple weeks ago so it must be a recent version (I did open kafacebookcomments.php but there was no version number listed that I saw.) If I am looking in the wrong place, please let me know and I will provide that information straight away.

Many thanks!

Regards,

Robert Bowden
The topic has been locked.

Re: Open Graph support 8 years 10 months ago #4882

  • zaheerkaka
  • zaheerkaka's Avatar
Hi,

The zip file you download should tell version in its name or you can find version number in Install/Uninstall menu and Plugin Tab.

Latest versions automatically will populate open graph tags with available data or skip if no data available.

I had a look at your provided URL and do not see any messages, have you disabled the plugin?

Regards
The topic has been locked.

Re: Open Graph support 8 years 10 months ago #4889

  • rbowden
  • rbowden's Avatar
  • OFFLINE
  • Fresh Boarder
  • Posts: 18
  • Karma: 0
Hi Zaheerka,

Thank you so much for looking into this for me. The zip name that I downloaded is: "plg_kafacebookcomments_v2.5.1_250911_0120." Is there a newer version?

Also, I have not disabled the plugin.

Best Regards,

Robert Bowden
The topic has been locked.

Re: Open Graph support 8 years 10 months ago #4914

  • zaheerkaka
  • zaheerkaka's Avatar
Hi,

2.5.1 is the latest version.

Have you also published JavaScriptSDK plugin that comes in Zip file?

Regards
The topic has been locked.

Re: Open Graph support 8 years 10 months ago #4919

  • rbowden
  • rbowden's Avatar
  • OFFLINE
  • Fresh Boarder
  • Posts: 18
  • Karma: 0
Hi Zaheerka,

I'm glad I have the latest version (although I was hoping I didn't, since that might've been an easy fix.)

I double-checked and I do have the KA Javascript SDK enabled.

Should I create a guest/admin account for you to see if maybe something is conflicting?

Many thanks,

Robert
The topic has been locked.

Re: Open Graph support 8 years 9 months ago #4948

  • zaheerkaka
  • zaheerkaka's Avatar
Hi,

Sorry for late reply.

Please send us admin access via Contact Us form and we will have a look. Also include URL of thos post so we know.

Regards
The topic has been locked.

Re: Open Graph support 8 years 9 months ago #4969

  • zaheerkaka
  • zaheerkaka's Avatar
Hi,

You are using a wrong APP ID for App ID setting in JavaScriptSDK plugin, Go to your Facebook Application ID and get correct Application ID and enter it.

Regards
The topic has been locked.

Re:Open Graph support 8 years 9 months ago #4972

  • rbowden
  • rbowden's Avatar
  • OFFLINE
  • Fresh Boarder
  • Posts: 18
  • Karma: 0
Hi Zaheerkaka,

Now I am just confused. :(

I have two App IDs because I created two Facebook apps - one for Social Comments and another for Like and Share - but it seems that KA Javascript SDK only has room for one App ID (I tried putting both IDs in the field, separated by a comma but I guess that didn't work.)

Do I need to install KA Javascript SDK twice, one for each plugin?

Thanks for helping me with this.

Best Regards,

Robert Bowden
The topic has been locked.

Re:Open Graph support 8 years 9 months ago #4976

  • zaheerkaka
  • zaheerkaka's Avatar
Hi Robert,

You can not use two application IDs on one website. You can track/add everything using one Application IDs. Did you read somewhere that Facebook allows two Facebook Application IDs?
The topic has been locked.

Re:Open Graph support 8 years 9 months ago #4980

  • rbowden
  • rbowden's Avatar
  • OFFLINE
  • Fresh Boarder
  • Posts: 18
  • Karma: 0
Hi Zaheerkaka,

Now I'm really confused!

I followed the instructions for creating Facebook applications (one for Comments and one for Like and Share) and as a result I have two Facebook App IDs... I put in the same website url for each app, so shouldn't Facebook have left the App ID the same?

This just doesn't make sense to me. I have no way to edit the App IDs. I tried deleting the second/newest App (for Like and Share) and then made sure the Comments App ID was in KA Javascript ID but it still gives me the same error.

As a question on the side: it seems Facebook allows developers to create Apps very easily, but what's the point if you can only have one on your website at a time? Do I actually need a second Facebook App for the second plugin?

Thank you for helping me with this, I apologize for being such a pain.

Best Regards,

Robert Bowden
The topic has been locked.

Re:Open Graph support 8 years 9 months ago #4984

  • zaheerkaka
  • zaheerkaka's Avatar
You do not need two apps, only one app ID is required and should be used in JavaScriptSDK plugin.

Facebook allows multiple application creation so that users can have each application for each domain.

Ignore/delete other application and only use one.

Regards
The topic has been locked.

Re:Open Graph support 8 years 9 months ago #5023

  • rbowden
  • rbowden's Avatar
  • OFFLINE
  • Fresh Boarder
  • Posts: 18
  • Karma: 0
Hi Zaheerkaka,

You are correct! It seems to work now... thank you very much for all of your help.

May I recommend adding a notation of this information in the guide to setting up a Facebook application? Seeing something to the effect of "keep in mind: you only need one Facebook app no matter how many KA plugins you wish to install" might be helpful for others like me who are very new to this.

Just an idea. Thank you again for all of your help with this.

Best Regards,

Robert Bowden
The topic has been locked.

Re:Open Graph support 8 years 9 months ago #5052

  • zaheerkaka
  • zaheerkaka's Avatar
Thanks for great idea/suggestion.

We are looking into improving/refreshing all documentation and will definitely keep your advise in mind.

Thanks
The topic has been locked.
Time to create page: 0.029 seconds
Layouts
Colors